Bug 201329 - Cannot run dbx project after analyzing memory leaks
Cannot run dbx project after analyzing memory leaks
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Project
7.0.1
PC Solaris
: P2 (vote)
: 7.1
Assigned To: Alexander Simon
issues@cnd
CR_7083308, 701patch2-verified, oss30
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-25 15:01 UTC by Alexander Simon
Modified: 2011-09-27 12:04 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2011-08-25 15:01:40 UTC
Steps to reproduce:
- Create project from dbx binary.
- Run project. Running is OK.
- Start analyzing memory leaks. Analyzing is OK.
- Run project. Runnihg is failed. Progress bar show infinite configuring/running.
*** (#1 of 1): 2011-08-25 18:53:39 MSD alexander.simon@oracle.com
Comment 1 Alexander Simon 2011-08-25 15:16:55 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/1d19ca7eee53
Comment 2 Alexander Simon 2011-09-07 16:48:04 UTC
Additional fix:
http://hg.netbeans.org/cnd-main/rev/87a5b0776a03
- make step should wait configure step in case action is started from menu (regression after first change set)
Comment 3 Vladimir Voskresensky 2011-09-09 14:30:49 UTC
patch candidates are P2s
Comment 4 Alexander Simon 2011-09-13 09:59:42 UTC
additional fix (discovered while code review)
http://hg.netbeans.org/cnd-main/rev/63d2c69eef95
Comment 5 Alexander Simon 2011-09-13 10:23:29 UTC
additional fix (discovered while code review)
http://hg.netbeans.org/cnd-main/rev/958ba80998d9
Comment 6 Andrew Krasny 2011-09-13 11:34:52 UTC
Reviewed. Fix is safe and OK.
Comment 7 Alexander Simon 2011-09-13 11:45:29 UTC
transplanted in releases_elif branch release701_fixes
1d19ca7eee53 transplanted to 357f6b2e7bcd
87a5b0776a03 transplanted to 86abfb22fe3a
63d2c69eef95 transplanted to baa64df24f61
958ba80998d9 transplanted to 9dcf2d3c16f4
Comment 8 Alexander Simon 2011-09-13 12:51:32 UTC
transplanted additional fix in releases_elif branch release701_fixes
c7f45472fbf9 transplanted to 378c3e229921
Comment 9 Alexander Pepin 2011-09-20 14:24:19 UTC
verified in OSS build 30
Comment 10 Alexander Pepin 2011-09-27 12:04:25 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo